import React, { useEffect, useState } from 'react'
import useRequest from '@ahooksjs/use-request/es'
import { LikeOutlined, StarOutlined } from '@ant-design/icons'

import { Modal } from 'antd'

interface IColumnCenterProps {
  open: boolean // 是否打开
  columnInfoFrom: any
  onClose: (type: 'Collection' | 'Fans') => void // 关闭
}

/**研选专栏 */
const LikesCollections: React.FC<IColumnCenterProps> = props => {
  const { open, columnInfoFrom, onClose } = props

  const handleOnClose = () => {
    props.onClose('Collection')
  }
  return (
    <Modal title="获赞与收藏" open={open} onCancel={handleOnClose} footer={null}>
      <div style={{ margin: '20px 0' }}>
        <LikeOutlined style={{ marginRight: 10, color: '#666666' }} />
        当前获得点赞数&nbsp;&nbsp; <span style={{ color: '#faa12f' }}>{columnInfoFrom?.SpecialLikeCount}</span>
      </div>
      <div>
        <StarOutlined style={{ marginRight: 10, color: '#666666' }} />
        当前获得收藏数&nbsp;&nbsp; <span style={{ color: '#faa12f' }}>{columnInfoFrom?.CollectNum}</span>
      </div>
    </Modal>
  )
}

export default LikesCollections
