import React from 'react'
import styles from './css/LicenseHtml.module.scss'

// 研选平台隐私政策
const PolicyHtml: React.FC = () => {
  return (
    <div className={styles['rich-text-wrapper']}>
      <div className="rich-title">研选平台隐私政策</div>
      <div className="rich-h1-text">引言</div>
      <div className="rich-p-line">
        察研科技（“我们”）注重保护用户个人信息以及个人隐私。本隐私政策包含我们
        <strong>收集、处理、存储、使用、共享、转让、公开披露和保护</strong>
        用户（“您”）的个人信息（以下或称“信息”）的有关条款。 /或使用察研科技提供的任何服务均受本协议之约束。
      </div>
      <div className="rich-p-line">
        我们深知个人信息对您的重要性，并会尽全力保护您的个人信息安全可靠。同时，我们承诺，我们将按照业界成熟的安全标准，采取相应的安全保护措施来保护您的个人信息。
      </div>
      <div className="rich-p-line">
        <strong>
          请在使用我们的服务以及该服务所包含的各项业务功能（以下统称“服务”或“我们的服务”）前，仔细阅读和了解本隐私政策，以帮助您了解我们对您个人信息的处理规则和您维护自己隐私权的方式。有关您个人信息权益的重要条款已用加粗及下划线形式提示，请您特别关注。如果对本隐私政策有任何疑问，您可以通过我们在本隐私政策中公布的联系方式与我们联系。
        </strong>
      </div>
      <div className="rich-h1-text">第一部分 定义</div>
      <div className="rich-p-line">
        <strong>
          1、本协议所称“察研科技”是指研选平台的经营者上海察研科技有限公司及现有和将来设立的相关关联公司的单称或合称。
        </strong>
      </div>
      <div className="rich-p-line">
        <strong>
          2、本协议所称“研选平台”包括但不限于查研观向微信小程序，以及将来增加的网站及对应的移动客户端，以及相关的微信公众号或其他公众号平台或其他小程序，以及可能不时涉及的其他互联网媒介等。
        </strong>
      </div>
      <div className="rich-p-line">
        <strong>3、关联公司：</strong>
        指一方现在或将来控制、受控制或与其处于共同控制下的任何公司、机构。“控制”指直接或者间接拥有管理或影响管理该实体的管理层和政策的权利，无论是通过具有投票权的股权或通过合同等其他方式。
      </div>
      <div className="rich-p-line">
        <strong>4、个人信息：</strong>
        指以电子或者其他方式记录的与已识别或者可识别的自然人有关的各种信息，不包括匿名化处理后的信息。
      </div>
      <div className="rich-p-line">
        <strong>5、敏感个人信息：</strong>
        指一旦泄露或者非法使用，容易导致自然人的人格尊严受到侵害或者人身、财产安全受到危害的个人信息。包括
        <strong>生物识别、宗教信仰、特定身份、医疗健康、金融账户、行踪轨迹</strong>等信息，以及
        <strong>不满十四周岁未成年人的个人信息</strong>。在本隐私政策中将以<strong>粗体</strong>形式进行显著标识。
      </div>
      <div className="rich-h1-text">第二部分 隐私政策</div>
      <div className="rich-h1-text">本隐私政策将帮助您了解以下内容</div>
      <div className="rich-h1-text">
        <ol>
          <li>一、本隐私政策的管辖法律和适用范围；</li>
          <li>二、我们如何收集和使用您的个人信息；</li>
          <li>三、我们如何存储您的个人信息；</li>
          <li>四、我们如何使用Cookie和同类技术；</li>
          <li>五、我们如何委托处理、共享、转让、公开披露您的个人信息；</li>
          <li>六、我们如何保护您的个人信息；</li>
          <li>七、您管理您个人信息的权利；</li>
          <li>八、未成年人个人信息保护；</li>
          <li>九、本隐私政策的更新及如何联系我们；</li>
        </ol>
      </div>
      <div className="rich-h1-text">一、本隐私政策的管辖法律和适用范围</div>
      <div className="rich-h2-text">（一）本隐私政策的管辖法律</div>
      <div className="rich-p-line">
        <strong>
          本隐私政策依照中华人民共和国（“中国”，为本隐私政策之目的，不包括香港特别行政区、澳门特别行政区和台湾地区）法律（不包括冲突法）制定和解释，适用中国法律并仅受中国法律管辖。
        </strong>
      </div>
      <div className="rich-p-line">
        <strong>
          本隐私政策所称中国法律，指中国的立法机关或政府机构不时颁布的法律法规、规章、规范性文件，以及其他形式的监管规定或政府命令。
        </strong>
      </div>
      <div className="rich-h2-text">（二）本隐私政策的适用范围</div>
      <div className="rich-p-line">
        本隐私政策适用于提供的所有服务，您访问研选平台和使用察研科技提供的服务，均适用本隐私政策。
      </div>
      <div className="rich-p-line">
        <strong>
          此外，针对某些特定服务，我们也可能会制定特定的隐私政策/声明/条款（无论具体称谓如何，以下统称“特定隐私政策”），该等特定隐私政策将更加具体地说明我们在特定服务中如何收集、处理、存储、使用、共享、转让、公开披露和保护您的个人信息。如该等特定隐私政策与本隐私政策有不一致之处，则在涉及相关事项时优先适用该等特定隐私政策的相关规定。
        </strong>
      </div>
      <div className="rich-h1-text">二、我们如何收集和使用您的个人信息</div>
      <div className="rich-p-line">我们仅会出于本隐私政策所述的以下目的，收集和使用您的个人信息：</div>
      <div className="rich-h2-text">
        <strong>（一）您注册研选平台账号以成为我们的用户</strong>
      </div>
      <div className="rich-p-line">
        在您使用我们的服务前，您需要注册研选平台账号以成为我们的用户。为账号注册之目的，您需要按照相关网络页面的提示向我们提供用于识别您身份的信息。
      </div>
      <div className="rich-p-line">
        您可以在相关网络页面内使用您本人名下的实名制手机号进行注册（为此您必须保证该手机号已经以您本人名义在相应电信服务商处进行了实名登记，并且该手机号正在由您本人使用），你需要提供完整、真实、准确、最新的个人或机构资料。
      </div>
      <div className="rich-p-line">
        <strong>
          如果您尚未注册研选平台账号，将导致您不能成为我们的用户，但这并不会导致我们禁止您访问研选平台并使用基本的浏览或信息搜索功能。如果您在未注册研选平台账号的情形下访问研选平台，我们仅会在最小必要范围内且在获得您明确授权的情况下请求您的设备权限（您可查看下文所列示之“设备敏感权限与请求目的对照表”以进一步了解具体权限信息与请求目的）。
        </strong>
      </div>
      <div className="rich-p-line">
        在您注册研选平台账号之后，您可以进一步通过相关网络页面上传您的用户头像（头像可以是不包含违法内容的卡通形象或其他图片，我们并不要求您必须上传您的本人照片）或向我们进一步提供您的性别、地区、个人简介等信息（具体以相关网络页面的提示和实际情况为准），这些信息可能有助于我们向您提供更加个性化的服务，但拒绝提供这些信息不会影响您使用我们的服务的基本功能。
      </div>
      <div className="rich-h2-text">
        <strong>（二）您使用我们提供的服务</strong>
      </div>
      <div className="rich-p-line">
        我们的服务包括基本业务功能和扩展业务功能，基本业务功能包含了满足您选择使用察研科技的最主要需求和根本期待的业务功能，如信息浏览功能、信息发布功能、互动交流功能（包括关注、收藏、点赞）。扩展业务功能是除基本业务功能之外的其他业务功能，如搜索功能、专项访谈或专家分享活动、用户画像、客户服务功能。
      </div>
      <div className="rich-p-line">
        为了向您提供服务之目的，我们需要收集、保存和使用下列与您有关的信息。如果您不愿意提供与基本业务功能相关的信息，您将无法使用我们提供的基本业务功能；如果您不愿意提供与扩展业务功能相关的信息，您将无法使用相对应的扩展业务功能，但并不会影响您使用我们提供的基本业务功能。
      </div>
      <div className="rich-p-line">
        <strong>1、基本业务功能包括： </strong>
      </div>
      <div className="rich-p-line">
        <strong>（1）信息浏览功能：</strong>
        您可以通过访问研选平台使用我们提供的信息浏览功能。为了满足用户的差异化信息浏览需求，（包括关注、推荐及热门等版面，如有调整请以届时的最新情况为准）：
      </div>
      <div className="rich-p-line">a.关注版面：便于您浏览您关注的用户所发布的信息，以及您关注的其他信息等；</div>
      <div className="rich-p-line">
        b.推荐版面：是我们向您提供的个性化信息推荐版面。我们根据您在研选平台的浏览记录、关注、收藏、点赞的信息情况，为您推荐您可能感兴趣的信息。如果您对我们推荐的信息不感兴趣或希望减少某些信息的推荐，您可以点击相应推荐信息右下角的“×”，勾选理由后进行精准屏蔽；
      </div>
      <div className="rich-p-line">c.热门版面：便于您浏览研选平台内的热门主题、热门作者等。</div>
      <div className="rich-p-line">
        <strong>（2）信息发布功能：</strong>
      </div>
      <div className="rich-p-line">a.当您发布信息时，我们将记录您发布的信息和依法保存操作日志信息；</div>
      <div className="rich-p-line">
        b.当您使用拍摄/上传图片功能发布图片时，我们会请求您授权您的设备的相机/相册权限。如果您拒绝授权该权限，您将无法使用此项功能，但并不影响您使用其他功能。
      </div>
      <div className="rich-p-line">
        <strong>（3）互动交流功能（包括关注、收藏、点赞）：</strong>
        当您使用互动交流功能（包括关注、收藏、点赞）时，我们会依法保存操作日志信息。
      </div>
      <div className="rich-p-line">
        <strong>2、扩展业务功能包括：</strong>
      </div>
      <div className="rich-p-line">
        <strong>（1）搜索功能：</strong>
        当您使用搜索功能时，我们会记录您的历史搜索记录、并依法保存操作日志信息。该等历史搜索记录通常无法单独识别您的个人身份，不属于您的个人信息，不在本隐私政策的限制范围内。只有当您的历史搜索记录与您的其他信息有联结并可识别您的个人身份时，则在结合使用期间，我们会将您的历史搜索记录作为您的个人信息，按照本隐私政策对其进行处理与保护。
      </div>
      <div className="rich-p-line">
        <strong>（2）专项访谈或专家分享活动：</strong>
        我们将不时举办线上或线下的专项访谈或专家分享活动，在此类活动中，我们可能需要您提供您的相关个人信息，我们会在相关活动的页面或规则中事先明示收集信息的具体类型、收集目的和收集方式。
      </div>
      <div className="rich-p-line">
        <strong>（3）用户画像：</strong>
        在遵守法律法规、规章和规范性文件规定的合法目的和正当程序的前提下，我们可能会将您的个人信息在匿名化、汇总、脱敏和加密处理后，形成统计信息或用户画像（但画像无法识别任何用户个人），为您展示和推送相关服务、产品或功能。
      </div>
      <div className="rich-p-line">
        <strong>（4）客户服务：</strong>
        当您使用客服咨询和投诉功能时，为了方便与您联系和帮助您解决投诉问题，我们可能需要您提供姓名、联系方式、我们相关业务规则要求提供的其他信息，以及您明示同意提供的其他信息。
      </div>
      <div className="rich-p-line">
        此外，我们可能不时增加新的功能或对已有功能作出调整。我们将严格遵循法律法规的规定和本隐私政策的约定，依法采取必要的措施，保护您的数据隐私权和您管理您个人信息的权利。
      </div>
      <div className="rich-p-line">
        <strong>3、支付功能：</strong>
      </div>
      <div className="rich-p-line">
        在您使用我们的付费服务时，您需要通过第三方支付平台 （主要包括支付宝支付、微信支付等）
        进行支付，相关服务和责任将由第三方承担。第三方会收集您的账单信息，如您不想第三方获得您的前述信息，请不要使用支付功能。
      </div>
      <div className="rich-p-line">
        此外，我们可能不时增加新的功能或对已有功能作出调整。我们将严格遵循法律法规的规定和本隐私政策的约定，依法采取必要的措施，保护您的数据隐私权和您管理您个人信息的权利。
      </div>
      <div className="rich-p-line">
        <strong>4、设备敏感权限与请求目的对照表</strong>
      </div>
      <table className="rich-table">
        <tr>
          <th>序号</th>
          <th>设备敏感权限</th>
          <th>调用权限的目的</th>
          <th>权限授权方式</th>
          <th>您是否可自行关闭</th>
          <th>我们的建议</th>
        </tr>
        <tr>
          <td>1</td>
          <td>相机/相册</td>
          <td>基于用户主动操作，拍摄/上传图片</td>
          <td>在用户首次拍摄/上传图片时进行弹窗提示</td>
          <td>是</td>
          <td>
            如果您经常上传图片，则可保持该权限开启；如果您很少上传图片，则建议您仅在使用相应功能时开启该权限，在使用完毕后及时关闭。
          </td>
        </tr>
        <tr>
          <td>2</td>
          <td>系统通知</td>
          <td>向用户发送通知</td>
          <td>在用户首次使用研选平台时进行弹窗提示</td>
          <td>是</td>
          <td>/</td>
        </tr>
      </table>
      <div className="rich-p-line">
        <strong>备注：</strong>
      </div>
      <div className="rich-p-line">
        <strong>
          您可以通过您设备的“设置”路径，查看、开启或关闭上述敏感权限。在不同的设备或系统版本中，相关查看或操作路径和方式可能有所不同，具体请参考设备及系统开发方说明或指引。
        </strong>
      </div>
      <div className="rich-h2-text">
        <strong>（三）保障研选平台和相关服务的运行安全</strong>
      </div>
      <div className="rich-p-line">
        为了保障研选平台和相关服务的运行安全，在您使用或访问研选平台时，我们会收集与您设备相关的设备型号、操作系统、操作系统版本、分辨率、网络信息、唯一设备标识符、MAC地址、浏览器类型/版本/内核、使用的语言、电信运营商、手机网络，储存您在使用我们服务的过程中产生的网络日志信息。这些信息是保障研选平台正常运行和提供服务所必须收集的基本信息。
      </div>
      <div className="rich-h2-text">
        <strong>（四）征得授权同意的例外</strong>
      </div>
      <div className="rich-p-line">根据中国法律，在以下情形中，收集和使用您的个人信息无需征得您的授权同意：</div>
      <div className="rich-p-line">1、为订立、履行个人作为一方当事人的合同所必需； </div>
      <div className="rich-p-line">2、为履行法定职责或者法定义务所必需；</div>
      <div className="rich-p-line">
        3、为应对突发公共卫生事件，或者紧急情况下为保护自然人的生命健康和财产安全所必需；
      </div>
      <div className="rich-p-line">4、为公共利益实施新闻报道、舆论监督等行为，在合理的范围内处理个人信息；</div>
      <div className="rich-p-line">
        5、依照《个人信息保护法》等相关法律法规在合理的范围内处理个人自行公开或者其他已经合法公开的个人信息；
      </div>
      <div className="rich-p-line">6、法律、行政法规规定的其他情形。</div>
      <div className="rich-h1-text">三、我们如何存储您的个人信息</div>
      <div className="rich-h2-text">
        <strong>（一）存储地域</strong>
      </div>
      <div className="rich-p-line">
        我们在中国境内收集和产生的个人信息，将仅存储在中国境内。如果因为处理跨境业务需要向境外机构传输境内收集的个人信息的，我们会严格执行法律法规、规章或规范性文件的规定，向您告知出境的目的、涉及的个人信息类型、接收方身份、安全风险，且事先征得您的同意，并通过签订协议、安全评估、核查等有效措施，要求接收方为所获得的个人信息保密并妥善处理，确保接收方有充分的能力来保护您的个人信息。
      </div>
      <div className="rich-h2-text">
        <strong>（二）存储期限</strong>
      </div>
      <div className="rich-p-line">除非法律法规、规章或规范性文件另有规定，我们将按如下期间存储您的信息：</div>
      <div className="rich-p-line">
        1、我们将在实现本隐私政策中所述目的所必需的期间内保留您的个人信息，除非法律法规、规章或规范性文件要求或允许在更长的期间内存储这些信息。
      </div>
      <div className="rich-p-line">
        2、您的个人信息经匿名化处理后将形成可以使用及流通的数据，我们对此类数据的保存及处理无需另行通知并征得您的同意。
      </div>
      <div className="rich-h1-text">四、我们如何使用Cookie和同类技术</div>
      <div className="rich-h2-text">
        <strong>（一）Cookie </strong>
      </div>
      <div className="rich-p-line">
        为确保网站正常高效运转、为您获得更轻松的访问体验、向您推荐您可能感兴趣的内容，我们有时会在您的设备终端/系统上存储名为
        Cookie的小数据文件。 Cookie会帮助您在后续访问研选平台时调用您的信息，简化您填写个人信息（例如登录等）的流程。
      </div>
      <div className="rich-p-line">
        我们不会将Cookie用于本隐私政策所述目的之外的任何用途。您可根据自己的偏好管理或删除Cookie。您可以清除计算机或移动设备上保存的所有Cookie，您有权接受或拒绝Cookie。大多数浏览器会自动接受Cookie，但您通常可根据自己的需要来修改浏览器的设置以拒绝Cookie；另外，您也可以清除软件内保存的所有Cookie。但您可能因此无法完全体验我们某些便捷性的服务功能。
      </div>
      <div className="rich-h2-text">
        <strong>（二）其他同类技术</strong>
      </div>
      <div className="rich-p-line">目前，我们并未使用除Cookie以外的其他同类技术。</div>
      <div className="rich-h1-text">五、我们如何委托处理、共享、转让、公开披露您的个人信息</div>
      <div className="rich-h2-text">
        <strong>（一）委托处理</strong>
      </div>
      <div className="rich-p-line">
        我们可能委托授权合作伙伴处理您的个人信息，以便授权合作伙伴代表我们为您提供某些服务或履行职能。我们仅会出于本隐私政策声明的合法、正当、必要、特定、明确的目的委托其处理您的信息，授权合作伙伴只能接触到其履行职责所需信息，且我们将会通过协议要求他们妥善保护和处理您的个人信息，不得将您的个人信息用于其他任何超出委托范围的目的。如果授权合作伙伴将您的个人信息用于我们未委托的用途，其将单独征得您的同意。
      </div>
      <div className="rich-h2-text">
        <strong>（二）共享</strong>
      </div>
      <div className="rich-p-line">我们不会与任何公司、组织和个人共享您的个人信息，但以下情况除外：</div>
      <div className="rich-p-line">1、事先获得您明确的同意或授权；</div>
      <div className="rich-p-line">
        2、基于法定情形：根据法律规定、诉讼等争议解决需要，司法机关或政府机构等依法提出的要求；
      </div>
      <div className="rich-p-line">
        3、与关联方共享：我们可能会与我们的关联公司共享您的个人信息。但我们仅共享必要的个人信息，且关联公司对您的个人信息的处理和保护亦须受本隐私政策所声明的目的的约束。关联公司如要改变您的个人信息的处理目的，将再次征求您的授权和同意；
      </div>
      <div className="rich-p-line">
        4、与授权合作伙伴共享：仅为实现本隐私政策声明之目的，我们的某些服务由授权合作伙伴提供，我们可能会与合作伙伴共享您的某些个人信息；
      </div>
      <div className="rich-p-line">5、您与我们关于个人信息共享的其他约定。</div>
      <div className="rich-p-line">
        <strong>
          请您知悉，即使已经取得您的授权同意，我们也仅会出于合法、正当、必要、特定、明确的目的共享您的个人信息，并尽量对共享内容中的个人信息进行去标识化处理。对我们与之共享您的个人信息的公司、组织和个人，我们会与其签署严格的数据保护协定，要求其按照我们的说明、本隐私政策以及其他任何相关的保密和安全措施妥善保护和处理您的个人信息。
        </strong>
      </div>
      <div className="rich-h2-text">
        <strong>（三）转让</strong>
      </div>
      <div className="rich-p-line">我们不会将您的个人信息转让给其他任何公司、组织和个人，但以下情形除外：</div>
      <div className="rich-p-line">
        1、随着我们业务的发展，我们及我们的关联公司有可能进行合并、收购、资产转让或其他类似的交易。如相关交易涉及您的个人信息转让，我们会按照相关法律规定向您告知接收方的名称和联系方式，我们亦会要求新持有您个人信息的公司、组织和个人继续受本隐私政策的约束，接受方变更本隐私政策所述个人信息处理目的、处理方式的，需按照法律规定重新取得您的授权同意；
      </div>
      <div className="rich-p-line">
        2、在获得您明确同意的情形下转让，亦即获得您明确同意后，我们会向其他方转让我们已经获取的您的个人信息。
      </div>
      <div className="rich-h2-text">
        <strong>（四）公开披露</strong>
      </div>
      <div className="rich-p-line">我们仅会在以下情形中，公开披露您的个人信息：</div>
      <div className="rich-p-line">1、已经获得您的单独同意；</div>
      <div className="rich-p-line">
        2、根据中国法律的要求、强制性的行政执法或司法活动的要求所必须提供您个人信息的情况下，我们可能会依据所要求的个人信息类型和披露方式公开披露您的个人信息。在可行的限度内，当我们收到上述披露信息的请求时，我们会要求请求方出具与之相应的法律文件，如传票或调查函；
      </div>
      <div className="rich-p-line">3、中国法律允许的其他情形。</div>
      <div className="rich-h2-text">
        <strong>（五）共享、转让、公开披露个人信息时事先征得授权同意的例外</strong>
      </div>
      <div className="rich-p-line">
        根据中国法律，在以下情形中，共享、转让、公开披露您的个人信息无需事先征得您的授权同意：
      </div>
      <div className="rich-p-line">1、为订立、履行个人作为一方当事人的合同所必需；</div>
      <div className="rich-p-line">2、为履行法定职责或者法定义务所必需；</div>
      <div className="rich-p-line">
        3、为应对突发公共卫生事件，或者紧急情况下为保护自然人的生命健康和财产安全所必需；
      </div>
      <div className="rich-p-line">4、为公共利益实施新闻报道、舆论监督等行为，在合理的范围内处理个人信息；</div>
      <div className="rich-p-line">
        5、依照《个人信息保护法》等相关法律法规在合理的范围内处理个人自行公开或者其他已经合法公开的个人信息；
      </div>
      <div className="rich-p-line">6、法律、行政法规规定的其他情形。</div>
      <div className="rich-p-line">
        根据法律规定，共享、转让、公开披露经去标识化处理的个人信息，且确保数据接收方无法复原并重新识别个人信息主体的，我们对此类数据的处理将无需另行向您通知并征得您的同意。
      </div>
      <div className="rich-p-line">
        <strong>
          请注意，您在使用我们服务时自愿发布甚至公开分享的信息，可能会涉及您或他人的个人信息甚至敏感个人信息，例如您的发帖、跟帖评论、聊天内容所包含的文字、图片等各种形式的信息。请您在使用我们的服务时谨慎确认是否要发布甚至公开分享相关信息。
        </strong>
      </div>
      <div className="rich-h1-text">六、我们如何保护您的个人信息</div>
      <div className="rich-h2-text">
        <strong>（一）数据安全措施</strong>
      </div>
      <div className="rich-p-line">
        为保障您的信息安全，我们努力采取各种符合业界标准的物理、电子和管理方面的安全措施来保护您的个人信息，防止您的个人信息遭到未经授权访问、公开披露、使用、修改、损坏或丢失。我们将尽力采取一切合理可行的措施，保护您的个人信息。
      </div>
      <div className="rich-p-line">
        <strong>
          请注意，无法与任何特定个人直接建立联系的数据，不属于个人信息。如果我们将这类非个人信息与其他信息结合用于识别自然人个人身份，或将其与个人信息结合使用，则在结合使用期间，此类信息将被视为个人信息。
        </strong>
      </div>
      <div className="rich-h2-text">
        <strong>（二）账号安全</strong>
      </div>
      <div className="rich-p-line">
        <strong>
          互联网并非绝对安全的环境，我们强烈建议您通过安全方式、使用复杂密码，协助我们保障您的账号安全。如果您发现自己的个人信息泄密，尤其是您的账号密码发生泄漏，请您立即根据本隐私政策中提供的联系方式联络我们，以便我们采取相应措施。
        </strong>
      </div>
      <div className="rich-h2-text">
        <strong>（三）个人信息安全事件处置</strong>
      </div>
      <div className="rich-p-line">
        在不幸发生个人信息安全事件后，我们将按照中国法律的规定，及时向您告知：安全事件的基本情况和可能的影响、我们已采取或将要采取的处置措施、您可自主防范和降低风险的建议、对您的补救措施等。我们将及时将事件相关情况以邮件、信函、电话、推送通知等方式告知您，难以逐一告知个人信息主体时，我们会采取合理、有效的方式发布公告。同时，我们还将按照监管部门要求，主动上报个人信息安全事件的处置情况。
      </div>
      <div className="rich-h1-text">七、您管理您个人信息的权利</div>
      <div className="rich-p-line">
        按照中国法律、并适当参照其他国家或地区的通行做法，我们保障您对自己的个人信息行使以下权利：
      </div>
      <div className="rich-h2-text">
        <strong>（一）访问和编辑您的个人信息</strong>
      </div>
      <div className="rich-p-line">
        您有权访问和编辑您的个人信息，法律规定的例外情况除外。如果您想行使数据访问和编辑的权利，可以通过以下方式自行访问和编辑：
      </div>
      <div className="rich-p-line">
        1、账号信息：如果您希望访问或编辑您的账号中的个人资料信息、更改您的密码、添加安全信息或其他相关信息（以下统称“账号信息”），您可以在研选平台（
        <span className="rich-underline">在登录状态下通过“我的－个人设置”路径</span>）执行此类操作。
      </div>
      <div className="rich-p-line">
        2、关注用户：如果您希望访问您的关注用户信息，您可以在移动端访问研选平台（
        <span className="rich-underline">在登录状态下通过“首页－关注”/“个人主页－更多－关注”路径</span>
        ）找到您的相应的关注用户，并在相应的页面执行此类操作。
      </div>
      <div className="rich-p-line">
        3、收藏信息：如果您希望访问您的收藏信息，您可以在移动端访问研选平台（
        <span className="rich-underline">在登录状态下通过“我的－收藏”路径</span>
        ）找到您的相应的收藏信息，并在相应的页面执行此类操作。
      </div>
      <div className="rich-p-line">
        4、搜索记录：如果您希望访问您的最近的搜索记录，您可以在端搜索页面找到您的历史搜索执行此类操作。
      </div>
      <div className="rich-p-line">
        5、浏览记录：如果您希望访问您的最近的搜索记录您可以在研选平台（
        <span className="rich-underline">在登录状态下通过“我的-足迹”</span>）找到您的浏览记录执行此类操作。
      </div>
      <div className="rich-h2-text">
        <strong>（二）更正、补充您的个人信息</strong>
      </div>
      <div className="rich-p-line">
        当您发现我们处理的关于您的个人信息不准确或者不完整时，您有权要求我们做出更正、补充。
      </div>
      <div className="rich-h2-text">
        <strong>（三）删除您的个人信息</strong>
      </div>
      <div className="rich-p-line">您可以通过“（一）访问和编辑您的个人信息”中允许的方式删除您的部分个人信息。</div>
      <div className="rich-p-line">在以下情形中，您可以向我们提出删除个人信息的请求：</div>
      <div className="rich-p-line">1、您的个人信息的处理目的已实现、无法实现或者为实现处理目的不再必要；</div>
      <div className="rich-p-line">2、我们停止提供产品或者服务，或者保存期限已届满；</div>
      <div className="rich-p-line">3、您撤回同意；</div>
      <div className="rich-p-line">4、我们违反法律、行政法规或者违反约定处理个人信息；</div>
      <div className="rich-p-line">5、法律、行政法规规定的其他情形。</div>
      <div className="rich-p-line">
        <strong>
          法律、行政法规规定的保存期限未届满，或者删除个人信息从技术上难以实现的，我们会停止除存储和采取必要的安全保护措施之外的处理。
        </strong>
      </div>
      <div className="rich-p-line">
        如果我们决定响应您的删除请求，我们还将同时尽可能通知从我们处获得您的个人信息的主体，要求其及时删除，除非中国法律另有规定，或这些主体获得您的独立授权。
      </div>
      <div className="rich-p-line">
        <strong>
          当您从我们的服务中删除信息后，我们可能不会立即从备份系统中删除相应的信息，但会在备份更新时删除这些信息。
        </strong>
      </div>
      <div className="rich-h2-text">
        <strong>（四）改变您授权同意的范围或撤回授权</strong>
      </div>
      <div className="rich-p-line">
        每个业务功能需要一些基本的个人信息才能得以完成。您可以通过“（一）访问和编辑您的个人信息”中允许的方式删除信息、更改隐私设置，以及在浏览器或您的移动设备操作系统中关闭相关功能等方式改变同意范围或撤回您的授权。
        <strong>
          但请您理解，当您执行上述操作后，我们将无法继续为您提供撤回同意或授权所对应的服务，也将不再处理相应的个人信息。但您撤回同意的决定，不会影响此前基于您的授权而开展的个人信息处理。
        </strong>
      </div>
      <div className="rich-h2-text">
        <strong>（五）注销账号 </strong>
      </div>
      <div className="rich-p-line">
        <strong>
          您有权注销您的研选平台账号。您可以通过我们的在线客服以及我们不时提供的其他方式（如有）与我们取得联系，我们将为您提供账号注销服务。
        </strong>
      </div>
      <div className="rich-p-line">
        在您主动注销账号之后，我们将停止为您提供服务，并根据中国法律的规定删除您的个人信息，法律另有规定的除外。
      </div>
      <div className="rich-h2-text">
        <strong>（六）约束信息系统自动决策</strong>
      </div>
      <div className="rich-p20-line">
        在某些业务功能中，我们可能仅依据信息系统、算法等在内的非人工自动决策机制做出决定。如果这些决定显著影响您的合法权益，您有权要求我们作出解释，并有权拒绝我们仅通过自动化决策的方式作出决定，我们也将提供适当的救济方式。
      </div>
      <div className="rich-h2-text">
        <strong>（七）响应您的上述请求</strong>
      </div>
      <div className="rich-p-line">
        为了保障您的账号及个人信息安全，在涉及部分请求（如注销账号等）时，我们可能需要您提供相应方式证明您的身份和请求的正当性，我们将在收到您反馈并验证您的身份后的15个工作日内答复您的请求。
      </div>
      <div className="rich-p-line">
        对于您合理的请求，我们原则上不收取费用，但对多次重复、超出合理限度的请求，我们将视情况收取一定的成本费用。
      </div>
      <div className="rich-p-line">
        对于那些无端重复、需要过多技术手段（例如，需要开发新系统或从根本上改变现行惯例）、给他人合法权益带来风险或非常不切实际的请求，我们可能会予以拒绝。
      </div>
      <div className="rich-p-line">在以下情形中，按照法律法规要求，我们将无法响应您的请求：</div>
      <div className="rich-p-line">1、与个人信息控制者履行法律法规规定的义务相关的；</div>
      <div className="rich-p-line">2、与国家安全、国防安全直接相关的；</div>
      <div className="rich-p-line">3、与公共安全、公共卫生、重大公共利益直接相关的；</div>
      <div className="rich-p-line">4、与犯罪侦查、起诉、审判和执行判决等直接相关的；</div>
      <div className="rich-p-line">5、个人信息控制者有充分证据表明个人信息主体存在主观恶意或滥用权利的；</div>
      <div className="rich-p-line">
        6、出于维护个人信息主体或其他个人的生命、财产等重大合法权益但又很难得到本人同意的；
      </div>
      <div className="rich-p-line">
        7、响应个人信息主体的请求将导致个人信息主体或其他个人、组织的合法权益受到严重损害的；
      </div>
      <div className="rich-p-line">8、涉及商业秘密的。</div>
      <div className="rich-h1-text">八、未成年人个人信息保护</div>
      <div className="rich-p-line">
        基于我们的服务的特征，我们的网站和服务面向成年人，我们不向未成年人提供任何服务，并且我们拒绝收集未成年人的个人信息或者向这类人群发送任何宣传资料。
      </div>
      <div className="rich-p-line">
        我们不会寻求或试图寻求接收来自未成年人的任何个人信息。如果家长或监护人有理由相信未成年人未经事先同意而向我们提交了个人信息，请联系我们以确保删除此类个人信息，并保证未成年人取消其所订阅并使用的研选平台服务。
      </div>
      <div className="rich-h1-text">九、本隐私政策的更新及如何联系我们 </div>
      <div className="rich-h2-text">
        <strong>（一）本隐私政策的更新</strong>
      </div>
      <div className="rich-p-line">
        我们的服务可能不时发生变化，本隐私政策也将随之调整。未经您明确同意，我们不会削减您依据本隐私政策所应享有的权利。
      </div>
      <div className="rich-p-line">
        我们会通过在研选平台发出更新版本或以其他方式提醒您相关内容的更新，也请您访问研选平台以便及时了解最新的隐私政策。对于重大变更，我们还会提供更为显著的通知（包括我们会通过平台公示的方式进行通知甚至向您提供弹窗提示）。
      </div>
      <div className="rich-p-line">本隐私政策所指的重大变更包括但不限于：</div>
      <div className="rich-p-line">
        1、我们的服务模式发生重大变化。如处理个人信息的目的、处理的个人信息类型、个人信息的使用方式等；
      </div>
      <div className="rich-p-line">
        2、我们在所有权结构、组织架构等方面发生重大变化。如业务调整、破产并购等引起的所有者变更；
      </div>
      <div className="rich-p-line">3、个人信息共享、转让或公开披露的主要对象发生变化；</div>
      <div className="rich-p-line">4、您参与个人信息处理方面的权利及其行使方式发生重大变化；</div>
      <div className="rich-p-line">5、我们负责处理个人信息安全的责任部门、联络方式及投诉渠道发生变化时；</div>
      <div className="rich-p-line">6、个人信息安全影响评估报告表明存在高风险时。</div>
      <div className="rich-p-line">我们还会在研选平台上持续展示本隐私政策的历史版本。</div>
      <div className="rich-h2-text">
        <strong>（二）您如何联系我们</strong>
      </div>
      <div className="rich-p-line">
        如果您对本隐私政策有任何意见、建议或需要咨询的事项，您可以通过如下方式与我们的个人信息保护专职部门取得联系：
      </div>
      <div className="rich-p-line">上海察研科技有限公司 合规法务部（收）</div>
      <div className="rich-p-line">联系邮箱：compliance@hzinsights.com</div>
      <div className="rich-p-line">联系地址：上海市浦东新区世纪大道210号21世纪大厦12层</div>
      <div className="rich-p-line">
        您也可以通过我们的在线客服，以及我们不时提供的其他方式（如有）与我们取得联系并对您的意见、建议或需要咨询的事项做充分描述，我们将在验证您身份后的15个工作日内答复您的请求并尽力解决。
      </div>
    </div>
  )
}

export default PolicyHtml
